# module

open fun module(dependencyNotation: CharSequence): ExternalModuleDependency

Create an ExternalModuleDependency from the given notation.

#### Return

the new dependency

#### Parameters

dependencyNotation

dependency to add

#### See also

DependencyFactory

Valid dependency notation for this method

open fun module(@Nullable group: @Nullable String, name: String, @Nullable version: @Nullable String): ExternalModuleDependency

### Deprecated

This method will be removed in Gradle 10. Use single-string notation instead.

Create an ExternalModuleDependency from a series of strings.

#### Return

the new dependency

#### Parameters

group

the group (optional)

name

the name

version

the version (optional)